Returns messages for one conversation using cursor-based pagination.
/api/conversations/{id}/messagesReturns messages for one conversation using cursor-based pagination. Results are sorted newest first, and you can pass the previous nextCursor value as cursor to fetch older messages. Visitor callers can read only their own conversations, and internal notes are hidden from visitors. The default limit is 50 and the maximum limit is 100.
Bearer API key or X-API-Key header.conversations:readautomation_api)Resource identifier.
Opaque cursor returned by the previous page.
Maximum number of resources to return.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
{
"data": [
{
"id": "7f1f4d83-0a0e-4f34-9c4b-9a98d6e1c2ab",
"conversationId": "9f1f4d83-0a0e-4f34-9c4b-9a98d6e1c2ab",
"content": "Hello, how can I help you today?",
"senderType": "operator",
"senderId": "6f1f4d83-0a0e-4f34-9c4b-9a98d6e1c2ab",
"type": "text",
"createdAt": "2026-06-23T08:00:00.000Z",
"isRead": false,
"isEdited": false,
"editedAt": null,
"replyToId": null,
"metadata": {}
}
],
"nextCursor": null,
"hasMore": false
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}curl --request GET \
'https://api.convor.io/api/conversations/11111111-1111-4111-8111-111111111111/messages' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer convor_sk_...'const response = await fetch("https://api.convor.io/api/conversations/11111111-1111-4111-8111-111111111111/messages", {
method: "GET",
headers: {
"Accept": "application/json",
"Authorization": "Bearer convor_sk_..."
},
});
const contentType = response.headers.get("content-type") ?? "";
const data = response.status === 204
? null
: contentType.includes("json")
? await response.json()
: contentType.startsWith("text/")
? await response.text()
: await response.blob();
if (!response.ok) {
const message = typeof data === "object" && data !== null
&& "error" in data && typeof data.error === "object"
&& data.error !== null && "message" in data.error
? String(data.error.message)
: "Convor API request failed (" + response.status + ")";
throw new Error(message);
}
console.log(data);Was this page helpful?